//
// C++ Implementation: kmcompilerinterface
//
// Description: 
//
//
// Author: Christian Hubinger <chubinger@irrsinnig.org>, (C) 2003
//
// Copyright: See COPYING file that comes with this distribution
//
//

#include "kmfcompilerinterface.h"

#include <kdebug.h>



namespace KMF {

KMFCompilerInterface::KMFCompilerInterface() {
	kdDebug() << "Calling Constuctor: KMFCompilerInterface::KMFCompilerInterface()" << endl;
}

KMFCompilerInterface::~KMFCompilerInterface() {
	kdDebug() << "Calling Destructor: KMFCompilerInterface::~KMFCompilerInterface()" << endl;
}

const TQString& KMFCompilerInterface::compile( KMFIPTDoc* ) {
	return *( new TQString("ERROR: This compiler can not compile for KMFIPTDoc") );
}

}
